Subject: Re: A problem with "ip=..." ipconfig and Atheros alx driver.

From: Nikolai Zhubr <[email-masked]>
Date: Sat, 01 May 2021 16:50:27 +0300

Hi Johannes,

01.05.2021 3:01, I wrote:
[...]
>> https://p.sipsolutions.net/5adbe659fb061f06.txt
>
> Is it supposed to work correctly for unmodified 5.12 kernel? Because it

Success! I've found an apparently missing mutex_unlock() in alx_probe() 
just before the "return 0" line. With that inserted, your patch indeed 
fixes the 120 s boot delay here. And the link apparenly also works fine 
after boot, in normal operation.
Can it be somehow reviewed and submitted unstream please?
I'd like it also ported to 4.xx then. (Maybe I can port myself though)
(Very happy!)

Thank you,

Regards,
Nikolai